# 单点登录的简易模式
## 1、内置用于单点登录的账号
#### 菜单路径
账户管理/用户定义
#### 功能描述
用户定义的配置页面，在此处单独配置一个不过期的用户，用于单点登录时获取access_token。(任意账户均可用于access_token的获取)。

## ２、根据请求获取access_token

####注意 
  _1.参数除账号密码外不可以随意修改。
  2.如果想使用其他校验模式获取token，则需要进行额外配置。
  3.发送的请求类型必须为post请求。_
```
/oauth/token?client_id=client2&client_secret=secret&grant_type=password&username=hd001&password=1
```
#### 功能描述
根据开发的地址，以及自定义的用户，获取access_token。
#### 请求结果
如图：![](/assets/5D110915-46D6-426F-8B32-67205F989F3A.png)


## 3、进行登录
#### 请求路径

```
/hls/sso/{sourceSystem}/{username}/login?access_token=上一步获取的access_token
```

#### 功能描述
直接根据token以及username进行系统的登录，请求类型可以为post或者get类型。

#### 参数说明
* sourceSystem： 登录系统来源（任意值即可）。
* username： 登录的用户名。



## 4、配置文件
#### 配置文件路径r
resource/spring/oauth2Security.xml
#### 使用说明
如果想开发内部api用于外界访问，并根据access_token保证安全性，俺么需要对配置文件进行修改。


![](/assets/mail_state_query.png)

#### 参数说明
* 发送状态： 发送成功（Y) 正在发送（P) 发送失败（F) 待发送（N)。


